## libcue 1.3.0-1maemo0

=== debian/changelog ===
libcue (1.3.0-1maemo0) unstable; urgency=low

  * Package ported to Maemo5.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 28 Dec 2009 11:37:02 +0100

libcue (1.3.0-1) unstable; urgency=low

  * Initial release. (LP: #377730) (Closes: #529729)

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Thu, 21 May 2009 02:46:02 -0500
