## libcue 1.4.0

=== debian/changelog ===
libcue (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #581521)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Thu, 13 May 2010 12:17:35 -0500
