=== debian/control ===
Source: libcue
Section: libs
Priority: optional
Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), automake, libtool, autotools-dev
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/libcue/

Package: libcue1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUE Sheet Parser Library
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.

Package: libcue-dev
Section: libdevel
Architecture: any
Depends: libcue1 (= ${binary:Version}), ${misc:Depends}
Description: CUE Sheet Parser Library - development files
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.
 .
 This package contains the development files
