=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

SRC_NAME:=libcue
LIB_NAME:=$(SRC_NAME)1
DEV_NAME:=$(SRC_NAME)-dev
#DEB_AUTO_UPDATE_LIBTOOL:=pre

# remove the empty README
binary-post-install/$(LIB_NAME)::
	rm -f debian/$(LIB_NAME)/usr/share/doc/$(LIB_NAME)/README

binary-post-install/$(DEV_NAME)::
	rm -rf debian/$(DEV_NAME)/usr/share/doc/$(DEV_NAME)
	ln -sf $(LIB_NAME) debian/$(DEV_NAME)/usr/share/doc/$(DEV_NAME)

makebuilddir/libcue1::
#debian/stamp-autotools-files:
	./autogen.sh --prefix=/usr
