=== debian/watch ===
version=3

http://sf.net/libcue/libcue-(\d.*)\.tar\.bz2
