## libcue 1.4.0-1maemo0

=== debian/changelog ===
libcue (1.4.0-1maemo0) unstable; urgency=low

  * Updated to new upstream version.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu,  6 May 2010 15:17:55 +0200
