=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libcue
 Section: libs
 Priority: optional
-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7), automake, libtool, autotools-dev
-Standards-Version: 3.8.4
+Maintainer: Roman Moravcik <roman.moravcik@gmail.com>>
+XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
+Build-Depends: cdbs, debhelper (>= 5), automake, libtool, autotools-dev
+Standards-Version: 3.8.1
 Homepage: http://sourceforge.net/projects/libcue/
 
 Package: libcue1
@@ -14,7 +15,7 @@
  char string or a file pointer. For handling of the parsed
  data a convenient API is available.
 
-Package: libcue-dev
+Package: libcue1-dev
 Section: libdevel
 Architecture: any
 Depends: libcue1 (= ${binary:Version}), ${misc:Depends}
