=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_DH_INSTALL_SOURCEDIR=debian/tmp
+DEB_DESTDIR=$(CURDIR)/debian/tmp
 
 SRC_NAME:=libcue
 LIB_NAME:=$(SRC_NAME)1
