## libcue 2.2.1

=== debian/changelog ===
libcue (2.2.1-4.1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:02:12 +0200

libcue (2.2.1-4.1) unstable; urgency=high

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Hideki Yamane ]
  * Add debian/patches/CVE-2023-43641-fix.patch to fix CVE-2023-43641

 -- Hideki Yamane <henrich@debian.org>  Tue, 10 Oct 2023 12:25:32 +0900

libcue (2.2.1-4) unstable; urgency=medium

  * Fixed watch file regex
  * d/rules: remove 'as-needed' flag
  * d/control: added Rules-Requires-Root: no
  * d/control: updated maintainer (Closes: #879868)

 -- Jack Toh <tohc88@outlook.com>  Wed, 20 Apr 2022 20:29:32 +0800

libcue (2.2.1-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 04:02:01 +0000

libcue (2.2.1-2) unstable; urgency=medium

  * QA upload.
  * Handle symlink_to_dir conversion of /usr/share/doc/libcue-dev.
    (Closes: #905197)
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Oct 2018 18:02:39 +0200

libcue (2.2.1-1) unstable; urgency=medium

  * QA upload
  * Orphaning. See bug 879868.
  * New upstream release (Closes: #816966)
  * Update watch file and homepage for upstream move to Github
  * Build-Depend on bison, cmake, and flex
  * Add symbols file
  * Add debian/gbp.conf
  * Set Vcs to https://salsa.debian.org/
  * Switch from cdbs to dh
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * Update library name for soname bump

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 12:23:27 -0400
