=== debian/control ===
Source: libcue
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jack Toh <tohc88@outlook.com>
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/libcue
Vcs-Git: https://salsa.debian.org/debian/libcue.git
Homepage: https://github.com/lipnitsk/libcue
Rules-Requires-Root: no

Package: libcue2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUE Sheet Parser Library
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.

Package: libcue-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcue2 (= ${binary:Version}), ${misc:Depends}
Description: CUE Sheet Parser Library - development files
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.
 .
 This package contains the development files
