=== debian/watch ===
version=4

https://github.com/lipnitsk/libcue/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
